/*
 * Copyright (c) 2022-present Charles7c Authors. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.zayac.admin.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ActiveListReq {
    /**
     * 活跃类型
     */
    private Integer activeType;
    /**
     * 统计月份
     */
    @JsonFormat(pattern = "yyyy-MM")
    private LocalDate date;

    /**
     * 是否重置
     */
    @Builder.Default
    private Boolean isRest = false;

    /**
     * 会员名称
     */
    private String name;
    /**
     * 页码
     */
    @Builder.Default
    private int pageNum = 1;
    /**
     * 每页显示数据
     */
    @Builder.Default
    private int pageSize = 10;
    /**
     * 注册结束日期
     */
    private LocalDate registerEndDate;
    /**
     * 注册开始日期
     */
    private LocalDate registerStartDate;
    /**
     * 上级代理线
     */
    private String topAgentName;
}
