/*
 * Copyright (c) 2022-present Charles7c Authors. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.zayac.admin.resp;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * "memberId": 509419585,
 * "name": "zaq198014",
 * "topId": 500007970,
 * "topName": "ky3tg107032",
 * "firstPayTime": "2024-06-15 18:20:49",
 * "registerTime": "2023-08-18 19:18:30",
 * "deposit": 1522,
 * "bets": 1394,
 * "activeStr": "首存会员"
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ActiveListResp {
    /**
     * 会员id
     */
    private Long memberId;
    /**
     * 会员名称
     */
    private String name;
    /**
     * 会员上级id
     */
    private Long topId;

    /**
     * 首存时间
     */
    private LocalDateTime firstPayTime;
    /**
     * 注册时间
     */
    private LocalDateTime registerTime;
    /**
     * 存款
     */
    private BigDecimal deposit;
    /**
     * 投注
     */
    private BigDecimal bets;
    /**
     * 活跃类型
     */
    private String activeStr;
}
