/*
 * Copyright (c) 2022-present Charles7c Authors. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.zayac.admin.resp;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class FinancialStatement implements Serializable {
    // 总输赢
    private BigDecimal profit;
    // 红利
    private BigDecimal promo;
    // 场馆费
    private BigDecimal thirdPartySpend;
    // 净输赢
    private BigDecimal netProfit;
    // 存款
    private BigDecimal deposit;
    // 提款
    private BigDecimal draw;
    // 返水
    private BigDecimal rebate;
    // 账号调整
    private BigDecimal adjust;
    // 有效投注
    private BigDecimal netAmount;
    // 投注总金额金额
    private BigDecimal betAmount;
    // 存提手续费
    private BigDecimal handlingFee;
    // 合作利润
    private BigDecimal partnershipProfit;
}
