/*
 * Copyright (c) 2022-present Charles7c Authors. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.zayac.admin.resp;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class PayRecord implements Serializable {
    /**
     * 订单号
     */
    private String billNo;

    /**
     * 会员账号
     */
    private String name;
    /**
     * 代理线
     */
    private String agentName;
    /**
     * 订单金额
     */
    private BigDecimal orderAmount;
    /**
     * 赠送金额
     */
    private BigDecimal rebateAmount;

    /**
     * 未知参数说明
     */
    private int flowRatio;

    /**
     * 支付方式
     */
    private int payType;

    /**
     * 支付方式名称
     */
    private String payName;

    /**
     * 收款人账户?
     */
    private String recipientAccount;

    /**
     * 存款时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime createdAt;

    /**
     * 支付状态
     */
    private int payStatus;
    /**
     * 支付状态名称
     */
    private String payStatusName;
    /**
     * 是否获取卡
     */
    private String whetherGetCard;
    /**
     * ???
     */
    private Long topId;
    /**
     * 存款成功金额
     */
    private BigDecimal scoreAmount;

}
