/*
 * Copyright (c) 2022-present Charles7c Authors. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.zayac.admin.resp.team;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class TeamMember {
    private Long id;
    //用户名
    private String name;
    // 用户真实姓名
    private String realName;
    // 注册时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime registerDate;

    /**
     * 存款金额
     */
    private BigDecimal deposit;
    // 提款金额
    private BigDecimal draw;
    /**
     * 利润
     */
    private BigDecimal profit;
    /**
     * 最后登录时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String lastLoginTime;
    /**
     * 用户是否活跃，0表示不活跃，1表示活跃
     */

    private int active;

    /**
     * 是否有变更，0无变更，1有变更
     */
    private int isChange;
    //vip等级
    private int vipGrade;
    //vip等级字符
    private String vipGradeStr;

    /**
     * 用户状态 1正常 0禁用
     */
    private int status;

    /**
     * 上级代理线
     */
    private String topAgentName;
}
